Ignoring failure in update-java-alternatives
[ci-management.git] / jjb / vpp / include-raw-vpp-build.sh
index 97330ae..a47fc62 100644 (file)
@@ -1,6 +1,6 @@
 #!/bin/bash
 # basic build script example
-
+set -xe -o pipefail
 # do nothing but print the current slave hostname
 hostname
 export CCACHE_DIR=/tmp/ccache
@@ -25,8 +25,8 @@ else
     echo "Cannot find cat /etc/bootstrap-functions.sha"
 fi
 
-echo "shasum of this script: ${0}"
-shasum $0
+echo "sha1sum of this script: ${0}"
+sha1sum $0
 
 # Check to make sure the patch doesn't need to be rebased
 # Since there was a discontinuity, patches with a
@@ -50,12 +50,11 @@ fi
 # vpp build system that can occur on Ubuntu 14.04 when a user may
 # have both java-7 and java-8 installed.
 if [ ${OS} == ubuntu1404 ];then
-    sudo update-java-alternatives -s /usr/lib/jvm/java-1.7.0-openjdk-amd64
+    sudo update-java-alternatives -s /usr/lib/jvm/java-1.7.0-openjdk-amd64 || echo 'ignoring failure'
 fi
 
 build-root/vagrant/build.sh
-if [ $? == 0 ];then
-    echo "*******************************************************************"
-    echo "* VPP BUILD SUCCESSFULLY COMPLETED"
-    echo "*******************************************************************"
-fi
\ No newline at end of file
+
+echo "*******************************************************************"
+echo "* VPP BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"